Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.util
Class SortingUtils

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.util.SortingUtils

    public class SortingUtils

extends java.lang.Object

Version:
  $Id: SortingUtils.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`protected static class` | `SortingUtils.CollationKeyDecorator`
`protected static class` | `SortingUtils.FolderNameCollationKey`
`protected static class` | `SortingUtils.FolderURICollationKey`
`protected static class` | `SortingUtils.RepoResourceURICollationKey`

Constructor Summary
`SortingUtils()`

Method Summary
`static void` | `sortFoldersByName(java.text.Collator collator, java.util.List folders)`
`static void` | `sortFoldersByURI(java.text.Collator collator, java.util.List folders)`
`static void` | `sortRepoResourcesByURI(java.text.Collator collator, java.util.List resources)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortingUtils

    public SortingUtils()

Method Detail

### sortFoldersByName

    public static void sortFoldersByName(java.text.Collator collator,
                                         java.util.List folders)

### sortFoldersByURI

    public static void sortFoldersByURI(java.text.Collator collator,
                                        java.util.List folders)

### sortRepoResourcesByURI

    public static void sortRepoResourcesByURI(java.text.Collator collator,
                                              java.util.List resources)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.